1. Payframe
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
        POST
      • processAuth
        POST
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Payframe

processCard

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post
These parameters are practically identical to the Direct API processCard method. The major point of difference is that the card data fields are removed, and in their place the payframeToken and payframeKey parameters have been added.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "method": "processCard",
    "merchantUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "accessToken": "XXXXX",
    "transactionAmount": "10.00",
    "transactionCurrency": "AUD",
    "transactionProduct": "ABC4321",
    "customerName": "Mr. Example Person",
    "customerCountry": "AU",
    "customerState": "Queensland",
    "customerCity": "Brisbane",
    "customerAddress": "123 Test Street",
    "customerPostCode": "4000",
    "payframeToken": "KMJI24557546102398",
    "payframeKey": "b941071d7be8d11f4c8e6c038968bc0d",
    "hash": "e9ddc296b76b3398934bfc06239073df",
    "transactionReferenceID": "A257240023321",
    "threeDSToken": "XXXXX",
    "customerPhone": "0401234567",
    "customerEmail": "person@example.com",
    "customerIP": "123.456.789.012",
    "storeID": "Test store name",
    "addCard": "1",
    "custom1": "XXXXX",
    "custom2": "XXXXX",
    "custom3": "XXXXX"
}'
Response Response Example
{
    "custom1": [],
    "cardExpiryYear": "21",
    "custom2": [],
    "custom3": [],
    "responseMessage": "Transaction approved",
    "transactionReferenceID": "12345",
    "cardType": "mc",
    "responseCode": "0",
    "authCode": "731357421",
    "transactionAmount": "1.00",
    "authResponseCode": "08",
    "transactionID": "1336-20be3569-b600-11e6-b9c3-005056b209e0",
    "receiptNo": "731357421",
    "cardExpiryMonth": "05",
    "customHash": "65b172551b7d3a0706c0ce5330c98470",
    "authSettledDate": "2016-11-29",
    "paymentCardNumber": "512345XXXXXX2346",
    "authMessage": "Honour with identification"
}
Modified at 2026-08-07 06:40:12
Previous
Styling
Next
processAuth
Built with